repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: "v4.4.0"
    hooks:
      - id: check-added-large-files
      - id: check-merge-conflict
      - id: end-of-file-fixer
      - id: fix-byte-order-marker
      - id: trailing-whitespace

  - repo: https://gitlab.com/brettops/tools/badgie
    rev: "0.9.0"
    hooks:
      - id: badgie

  - repo: https://github.com/pre-commit/mirrors-prettier
    rev: "v3.0.0-alpha.9-for-vscode"
    hooks:
      - id: prettier

  - repo: https://github.com/antonbabenko/pre-commit-terraform
    rev: "v1.79.1"
    hooks:
      - id: terraform_docs
      - id: terraform_fmt

  - repo: https://github.com/Yelp/detect-secrets
    rev: "v1.4.0"
    hooks:
      - id: detect-secrets
        args: ["--baseline", ".secrets.baseline"]
